netatalk: rtmp.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
rtmp.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | rtmptab
struct | rtmp_head
struct | rtmp_tuple

## Macros
#define | SZ_RTMPTUPLE 3
#define | RTMPTAB_PERM 0
#define | RTMPTAB_GOOD 1
#define | RTMPTAB_SUSP1 2
#define | RTMPTAB_SUSP2 3
#define | RTMPTAB_BAD 4
#define | RTMPTAB_ZIPQUERY 0x01
#define | RTMPTAB_HASZONES 0x02
#define | RTMPTAB_EXTENDED 0x04
#define | RTMPTAB_ROUTE 0x08
#define | RTMP_ADD SIOCADDRT
#define | RTMP_DEL SIOCDELRT
#define | STARTUP_FIRSTNET 0xff00
#define | STARTUP_LASTNET 0xfffe
#define | OS_STARTUP_FIRSTNET 0

## Functions
struct rtmptab * | newrt (const struct interface *)
void | rtmp_delzonemap (struct rtmptab *)
int | rtmp_request (struct interface *)
void | rtmp_free (struct rtmptab *)
int | rtmp_replace (struct rtmptab **)
| Find a replacement for the structure pointed to by "replace_ptr".
int | looproute (struct interface *, unsigned int)
int | gateroute (unsigned int, struct rtmptab *)
int | rtmp_packet (struct atport *ap, struct sockaddr_at *from, char *data, int len)

## Variables
int | rtfd

## Macro Definition Documentation

## ◆ OS_STARTUP_FIRSTNET

#define OS_STARTUP_FIRSTNET 0

## ◆ RTMP_ADD

#define RTMP_ADD SIOCADDRT

## ◆ RTMP_DEL

#define RTMP_DEL SIOCDELRT

## ◆ RTMPTAB_BAD

#define RTMPTAB_BAD 4

## ◆ RTMPTAB_EXTENDED

#define RTMPTAB_EXTENDED 0x04

## ◆ RTMPTAB_GOOD

#define RTMPTAB_GOOD 1

## ◆ RTMPTAB_HASZONES

#define RTMPTAB_HASZONES 0x02

## ◆ RTMPTAB_PERM

#define RTMPTAB_PERM 0

## ◆ RTMPTAB_ROUTE

#define RTMPTAB_ROUTE 0x08

## ◆ RTMPTAB_SUSP1

#define RTMPTAB_SUSP1 2

## ◆ RTMPTAB_SUSP2

#define RTMPTAB_SUSP2 3

## ◆ RTMPTAB_ZIPQUERY

#define RTMPTAB_ZIPQUERY 0x01

## ◆ STARTUP_FIRSTNET

#define STARTUP_FIRSTNET 0xff00

## ◆ STARTUP_LASTNET

#define STARTUP_LASTNET 0xfffe

## ◆ SZ_RTMPTUPLE

#define SZ_RTMPTUPLE 3

## Function Documentation

## ◆ gateroute()

int gateroute | ( | unsigned int | command,
|  | struct rtmptab * | rtmp )

## ◆ looproute()

int looproute | ( | struct interface * | iface,
|  | unsigned int | cmd )

## ◆ newrt()

struct rtmptab * newrt | ( | const struct interface * | iface | ) |

## ◆ rtmp_delzonemap()

void rtmp_delzonemap | ( | struct rtmptab * | rtmp | ) |

## ◆ rtmp_free()

void rtmp_free | ( | struct rtmptab * | rtmp | ) |

Remove rtmp from the in-use table and the per-gate table. Free any associated space.

## ◆ rtmp_packet()

int rtmp_packet | ( | struct atport * | ap,
|  | struct sockaddr_at * | from,
|  | char * | data,
|  | int | len )

## ◆ rtmp_replace()

int rtmp_replace | ( | struct rtmptab ** | replace_ptr | ) |

Find a replacement for the structure pointed to by "replace_ptr".

Returns
  If we can't find a replacement, return 1.
  If we do find a replacement, return 0.
  If we encounter an error, return -1.

## ◆ rtmp_request()

int rtmp_request | ( | struct interface * | iface | ) |

## Variable Documentation

## ◆ rtfd

int rtfd
| extern